<!DOCTYPE html>
<html>
<head>
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>Watch.Later - Petey Wheatstraw</title>
<link rel="stylesheet" href="../styles.css">
</head>
<body>

<div id="custom-cursor"></div>

<div>
  <a href="../index.html" class="header-link" style="font-size:50px;font-weight:bold;width:100%;text-align:left;margin-left:10px;text-decoration:none;">Watch.Later</a>
</div>
<div>
  <i style="font-size:25px;text-align:left;margin-left:10px;margin-right:160px;">Movies you should watch, just not right now</i>
</div>
</br>

<div class="image">
  <img src="https://m.media-amazon.com/images/M/MV5BMmM1MmIzNGEtNDNlZC00M2ViLWJkNTYtMGI0ZDIxMzA3ZDY4L2ltYWdlL2ltYWdlXkEyXkFqcGdeQXVyNzc5MjA3OA@@._V1_.jpg" style="width:100%">
</div>
<a class="title">Petey Wheatstraw</a></br>
<div class="body-text">
<i>Review Published</i>: Nov. 5, 2022</br>
<i>Reference</i>: <a href="https://www.imdb.com/title/tt0078078/" target="_blank">IMDB</a></br>
<i>Released</i>: 1977</br>
<i>Runtime</i>: 1h 40m</br>
<i>Genre</i>: <a href="../categories/comedy.html">Comedy</a>, <a href="../categories/action.html">Action</a>, <a href="../categories/drama.html">Drama</a>, <a href="../categories/horror.html">Horror</a></br>
<i>Country of Origin</i>: United States</br>
<i>Language</i>: <a href="../categories/english.html">English</a></br>
<i>Original Title</i>: Petey Wheatstraw</br>
<i>Synopsis</i>:</br>
Petey Wheatstraw makes a deal with the devil for revenge, with one condition, he has to marry the devil's daughter.</br>
<i>Review</i>:</br>
Comedians Leroy and Skillet have the weekend sewn up. They've planned out a killer variety show to open their new club and everyone is going to be there. That is until our protaganist, rival comedian Petey Wheatstraw (Rudy Ray Moore), comes back to town. With a supernatural origin story and a hard-knocks upbringing, Petey's talent threatens to draw attendance away from the big show. When Petey refuses to postpone his performance, Leroy and Skillet skip the threats and send their goons to stop him by force. In a twist of fate, this confrontation leads Petey to come face to face with the devil who offers him a deal. To get his revenge, Petey agrees to marry the devil's daughter and sire a diabolical grandchild. What's the catch? She's the ugliest woman in the (under)world. The revenge action movie plot line plays out with a combination of kung fu fighting and comedic use of black magic (the satanic kind, not the African kind). This power conveyed by the devil's magic cane makes Petey start to think he can get out of his side of the bargain and run away with his girl Nell (Ebony Wright). You'll have to watch to the end to find out who gets the better of whom since I'm not going to spoil it. This is a very black take on the classic Faustian bargain story. The dialogue, the conflict, the humor, the gratuitous use of watermelon, it's all very black. Unfortunately because of that this film is considered "blaxploitation" by many film critics and a corresponding stigma is attached. Frankly I find the black aspect more subdued than in other such films and it comes across as more natural and less put on. Petey Wheatstraw is not Shaft, he's not Black Belt Jones, and he's not Dolemite, even though it's Moore doing a similar character. People who get offended easily are advised to forgo regardless. Higher-minded readers who can see past this are advised to watch and enjoy.</br>
<i>Watch later?</i>: If you like black comedy, the African American kind, not the dark edgy kind.</br>
<i>Rating</i>: 7/10
</div>


<div class="sidebar">
  <div><a href="../categories/all.html">All</a></div>
  <div><a href="../categories/last.html">Most Recent</a></div>
  <div><b>By Genre</b></div>
  <div><a href="../categories/action.html">Action</a></div>
  <div><a href="../categories/comedy.html">Comedy</a></div>
  <div><a href="../categories/un_comedy.html">Comedy (Unintentional)</a></div>
  <div><a href="../categories/drama.html">Drama</a></div>
  <div><a href="../categories/mystery.html">Mystery</a></div>
  <div><a href="../categories/sci-fi.html">Sci-Fi</a></div>
  <div><a href="../categories/suspense.html">Suspense</a></div>
  <div><b>By Language</b></div>
  <div><a href="../categories/english.html">English</a></div>
  <div><a href="../categories/russian.html">Russian</a></div>
  <div><b>Info</b></div>
  <div><a href="../info/about.html">About</a></div>
  <div><a href="../info/contact.html">Contact</a></div>
</div>

<script>
</script>
<script src="https://ddosnotification.github.io/snow-theme/snow.js"></script>
<script src="/anicursor.js?v=1.0"></script>

</body>

</html>
